function getBaiduUrl(){
    return "http://app.video.baidu.com/app?&md=iphone&ie=utf-8&version=7.2.1&s=1&ct=905969664&word=${keyword}";
};
function getYoukuUrl(){
    return "http://search.api.3g.youku.com/layout/ios/v3/search/direct_all/${keyword}?guid=7066707c5bdc38af1621eaf94a6fe779&pid=87c959fb273378eb";
};
function getYoukuDetailUrl(id){
    return "http://api.mobile.youku.com/layout/ios5_0/play/detail?guid=7066707c5bdc38af1621eaf94a6fe779&pid=87c959fb273378eb&id=" + id;
}

function getIgnoreString(){
    return "";
}


function warpYoukuSearchResult(jsonString){
    var result = JSON.parse(jsonString);
    var seriesArray = [];
    if (typeof(result) === 'undefined' || result == null) {
        return "";
    };
    var results = result.results;
    if (typeof(results) === 'undefined' || results == null || results.length == 0) {
        return "";
    };
    for(var i = 0; i < results.length; i++){
        var item = results[i];

        var ttt = item.showname;
        if (typeof(ttt) === 'undefined' || ttt == null) {
        } else {
            if(ttt.indexOf('信号') >= 0 || ttt.indexOf('signal') >= 0 || ttt.indexOf('奶酪陷阱') >= 0 || ttt.indexOf('回来吧大叔') >= 0 || ttt.indexOf('remember') >= 0 || ttt.indexOf('儿子的战争') >= 0 || ttt.indexOf('学校2015') >= 0 || ttt.indexOf('美女孔心') >= 0 || ttt.indexOf('警察阿姨') >= 0 || ttt.indexOf('村子') >= 0 || ttt.indexOf('spy') >= 0 ||ttt.indexOf('blood') >= 0 ||ttt.indexOf('海德、哲基尔与我') >= 0 ||ttt.indexOf('诱惑') >= 0){
                continue;
            }
        };

        var thumb = item.show_vthumburl;
        if (typeof(thumb) === 'undefined' || thumb == null) {
            continue;
        };
        if(!item.is_youku){
            continue;
        };
        var youkuItem = {};
        var mySeries = {};
        mySeries.sid = "youku_search_" + item.showid;
        mySeries.source = "优酷";
        mySeries.name = "" + item.showname;
        mySeries.isFinished = item.completed;
        mySeries.intro = "";
        mySeries.thumb = thumb;
        mySeries.count = item.episode_total;
        mySeries.sourceType = 1;
        mySeries.source = "优酷";
        youkuItem.seriesView = mySeries;

        var playItemList = [];
        var serises = item.serises;

        if (typeof(serises) === 'undefined' || serises == null || serises.length == 0) {
            seriesArray.push(youkuItem);
            continue;
        }
        mySeries.count = serises.length;
        for(var j = 0; j < serises.length; j++){
           var pItem = serises[j];
           var playItem = {};
           playItem.pid = mySeries.sid + '_' + pItem.show_videostage;
           playItem.seriesId = mySeries.sid;
           playItem.serialNo = pItem.show_videostage;
           playItem.publishTime = (new Date()).getTime();
           playItem.serialName = mySeries.name;
           playItem.sid = mySeries.sid;
           playItem.thumb = thumb;
           playItem.createTime = playItem.publishTime;
           var sources = [];
           var source = {};
           source.src = "youku";
           source.page = "http://v.youku.com/v_show/id_" + pItem.videoid + ".html";
           sources.push(source);
           playItem.sources = sources;
           playItem.title = pItem.title;
           playItemList.push(playItem);
        };
        youkuItem.playItemViewList = playItemList;
        seriesArray.push(youkuItem);
    };
	return JSON.stringify(seriesArray);
};

function getBaiduDetailUrl(extDataString){
    var extData = JSON.parse(extDataString);
    var now = new Date();
    var url = extData.detailUrl;
    if (typeof(url) === 'undefined' || url == null) {
        var isMovie = extData.isFeatureMovie != null && extData.isFeatureMovie > 0;
        var type = isMovie ? 'iphnativemovie' : 'iphnativetvplay';
        url = 'http://app.video.baidu.com/xqinfo/?worktype=' + type + '&version=7.2.1&id=' + extData.baidu_id;
    };
    url += '&time=' + now.getTime() / 1000;
    return url;
};

function getBaiduSearchTipUrl(searchWord, timeStamp){
    return "http://nssug.baidu.com/su?prod=video_sp&ie=utf-8&wd=" + searchWord + "&mtj_timestamp=" + timeStamp;
};

function getBaiduTipUrl(id, type){
    if(typeof(type) === 'undefined' || type == null){
        return "http://app.video.baidu.com/xqinfo/?worktype=adnativetvplay&id=" + id;
    } else if(type == 'tv'){
        return "http://app.video.baidu.com/xqinfo/?worktype=adnativetvplay&id=" + id;
    } else if (type == 'movie'){
        return "http://app.video.baidu.com/xqinfo/?worktype=adnativemovie&id=" + id;
    } else if (type == "show") {
        return "http://app.video.baidu.com/xqinfo/?worktype=adnativetvshow&id=" + id;
    } else {
        return "http://app.video.baidu.com/xqinfo/?worktype=adnativetvplay&id=" + id;
    }

}

function isMovie(extDataString){
	var extData = JSON.parse(extDataString);
	var isMovie = extData.isFeatureMovie != null && extData.isFeatureMovie > 0;
	if(isMovie){
		return '1';
	} else {
		return '0';
	}
};

function warpBaiduSearchResult(jsonString) {
	var result = JSON.parse(jsonString);
	var seriesArray = [];
    	if (typeof(result) === 'undefined' || result == null) {
    		return seriesArray;
    	};
    	var sResult = result.sResult;
    	if (typeof(sResult) === 'undefined' || sResult == null) {
    		return seriesArray;
    	};
    	var aldjson = sResult.aldjson;
    	if (typeof(aldjson) === 'undefined' || aldjson == null || aldjson.length == 0) {
    		return seriesArray;
    	};
    	for (var i = 0; i < aldjson.length; i++) {
    		var seriesItem = aldjson[i];

        var ttt = seriesItem.title;
        if (typeof(ttt) === 'undefined' || ttt == null) {
        } else {
            if(ttt.indexOf('信号') >= 0 || ttt.indexOf('signal') >= 0 || ttt.indexOf('奶酪陷阱') >= 0 || ttt.indexOf('回来吧大叔') >= 0 || ttt.indexOf('remember') >= 0 || ttt.indexOf('儿子的战争') >= 0 || ttt.indexOf('学校2015') >= 0 || ttt.indexOf('美女孔心') >= 0 || ttt.indexOf('警察阿姨') >= 0 || ttt.indexOf('村子') >= 0 || ttt.indexOf('spy') >= 0 ||ttt.indexOf('blood') >= 0 ||ttt.indexOf('海德、哲基尔与我') >= 0 ||ttt.indexOf('诱惑') >= 0){
                continue;
        	}
        };

    		var sites = seriesItem.sites;
    		var signleUrl = null;
    		var src = null;
    		var domain = null;
    		if (sites.length > 0) {
    			for (var j = sites.length - 1; j >= 0; j--) {
    				var site = sites[j];
    				domain = site.site_domain;
    				if (domain == null) {
    					domain = site.site_url;
    				};
    				src = srcForSite(domain);
    				signleUrl = site.single_url;
    				if (typeof(signleUrl) != 'undefined' && signleUrl != null) {
    					signleUrl = signleUrl.replace('adwebtvshow', 'iphnativetvshow');
    					if (seriesItem.ty == 26 && signleUrl.indexOf('year=') < 0) {
    						signleUrl += '&year=all';
    					};
    				};
    				if (src != null) {
    					break;
    				};
    			};
    		};
    		if (src == null) {
    			continue;
    		};
    		var mySeries = {};
    		var id = ''+seriesItem.id;
    		mySeries.sid = 'baidu_search_'+id;
    		mySeries.source = src;
    		mySeries.name = seriesItem.title;
            var season = seriesItem.season;
            if (typeof(season) != 'undefine' && season > 0 &&
                mySeries.name.indexOf(''+season) < 0) {
                mySeries.name += ' ' + '第' + season + '季';
            }
    		mySeries.isFinished = seriesItem.finish;
    		mySeries.intro = seriesItem.brief;
    		mySeries.thumb = seriesItem.poster;
    		mySeries.count = seriesItem.episode;
    		mySeries.sourceType = 1;
    		mySeries.extData = {detailUrl:signleUrl, baidu_id:id, site_domain:domain};
    		if (typeof(seriesItem.isFeatureMovie) != 'undefined' && seriesItem.isFeatureMovie != null) {
    			mySeries.extData.isFeatureMovie = seriesItem.isFeatureMovie;
    		};
    		seriesArray.push(mySeries);
    	};
	return JSON.stringify(seriesArray);
};

function srcForSite(site) {
	if (site == 'iqiyi.com') {
		return '爱奇艺';
	} else if (site == 'youku.com') {
		return '优酷';
	} else if (site == 'sohu.com') {
		return '搜狐';
	} else if (site == 'qq.com') {
	    return "腾讯";
	} else if (site == 'hunantv.com' || site == 'mgtv.com') {
     	return '芒果TV';
    } else if (site == 'letv.com' || site == 'le.com') {
     	return '乐视';
    } ;
	return null;
};



function warpBaiduSeriesDetail(sid, videosString, domain) {
	var detail = JSON.parse(videosString);
	var videos = detail.videos;
	var result = {};
	var series = {};
	result.series = series;
	series.sid = sid;
	if (videos.length == 0) {
		return result;
	};
	var playitems = [];
	result.videolength = "" + videos.length;
	for (var i = 0; i < videos.length; i++) {
		var video = videos[i];
		if (video.isper) {
			continue;
		};
		if(typeof(video.url) === 'undefined' || video.url == null || video.url.length == 0){
		    continue;
		}
		var playItem = {};
		playItem.pid = sid + '_' +video.episode;
		playItem.seriesId = sid;
		playItem.serialNo = video.episode;
		playItem.publishTime = (new Date()).getTime();
		playItem.createTime = playItem.publishTime;
		var sources = [];
		var source = {};
		source.src = playItemSourceForSite(domain);
		source.page = video.url;
		sources.push(source);
		playItem.sources = sources;
		playitems.push(playItem);
	};
	result.playItems = playitems;
	return JSON.stringify(result);
};


function warpBaiduMovieDetail(sid, videosString){
	var detail = JSON.parse(videosString);
	var sites = detail.sites;
	var result = {};
	var validSite = null;
	var src = null;
	for (var i = 0; i < sites.length; i++) {
		var site = sites[i];
		if (site.type != 'movie') {
			continue;
		}
		var tmpSrc = playItemSourceForSite(site.site_url);
		if (tmpSrc != null) {
			validSite = site;
			src = tmpSrc;
		};
	}
	if (validSite == null) {
		return result;
	};
	var playitems = [];
	var playItem = {};
	playItem.pid = sid + '_' + 1;
	playItem.seriesId = sid;
	playItem.serialNo = 1;
	playItem.publishTime = (new Date()).getTime();
	playItem.createTime = playItem.publishTime;
	var sources = [];
	var source = {};
	source.src = src;
	source.page = validSite.site_url;
	sources.push(source);
	playItem.sources = sources;
	playitems.push(playItem);
	result.playItems = playitems;
	return JSON.stringify(result);
}

function warpBaiduDetail(sid, videosString, extDataString){
	var extData = JSON.parse(extDataString);
	var isMovie = extData.isFeatureMovie != null && extData.isFeatureMovie > 0;
	if(isMovie){
		return warpBaiduMovieDetail(sid, videosString);
	} else {
		return warpBaiduSeriesDetail(sid, videosString, extData.site_domain);
	}
};



function playItemSourceForSite(site) {
	if (typeof(site) === 'undefined' || site == null) {
		return null;
	};
	if (site.indexOf('iqiyi.com') >= 0) {
		return 'iqiyi';
	} else if (site.indexOf('youku.com') >= 0) {
		return 'youku';
	} else if (site.indexOf('sohu.com') >= 0) {
		return 'sohu';
	} else if (site.indexOf('bilibili.com') >= 0) {
		return 'bilibili';
	} else if (site.indexOf('qq.com') >= 0) {
        return 'qq';
    } else if (site == 'hunantv.com' || site == 'mgtv.com') {
     	return 'mgtv';
    } else if (site == 'letv.com' || site == 'le.com') {
     	return 'letv';
    };
	return null;
};

function warpSearchTip(tipString){
    var start = tipString.indexOf('[');
    var end = tipString.lastIndexOf(']');
    var str = tipString.substring(start, end + 1);
    var array = JSON.parse(str);
    var result = [];
    var index = 0;
    for(var i = 0; i< array.length; i++){
        var item = array[i];
        var item_split = item.split("{#S+_}");
        if(item_split.length > 1){
            if(item_split[1].length > 0){
                var tip = {};
                tip.tipName = item_split[0];
                var itemInfo = JSON.parse(item_split[1]);
                tip.videoId = itemInfo.id_n;
                tip.type = itemInfo.type_n;
                if(typeof(tip.videoId) === 'undefined' || tip.videoId == null){
                    continue;
                }
                result[index] = tip;
                index++;
            }
        }

    }
    return JSON.stringify(result);
};

function warpBaiduTipItem(tipString){
    var tip = JSON.parse(tipString);
    var result = {};
    result.id = tip.id;
    result.title = result.title;
    result.poster = tip.img_url;
    return JSON.stringify(result);
};